# 32/64bit spec-file
#
%define name pulseaudio
%define version 11.1


%define bootstrap 0
%{?_without_bootstrap: %global bootstrap 0}
%{?_with_bootstrap: %global bootstrap 1}

%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1
%define _requires_exceptions devel(libpulsecommon

# Majors
%define major 0
%define zeroconfmajor 0
%define glib2major 0
%define apiver %{version}

# Library names
%define libname %mklibname %{name} %{major}
%define libname_devel %mklibname -d %{name}

%define zeroconflibname %mklibname pulsezeroconf %{zeroconfmajor}
%define glib2libname %mklibname pulseglib2 %{glib2major}


Summary: 	Sound server for Linux
Summary(de):	Sound Server für Linux
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel 1
Source0: 	%{name}-%{version}.tar.xz
Source1: 	%{name}.sysconfig
Source2: 	%{name}.xinit
Source3: 	esd.conf
Source4: 	%{name}.svg
Source5: 	pulse-enable
Source6: 	pulse-disable
# Mandriva Patches--------------------------------------------------------
Patch510:	default.pa.patch
Patch511:	daemon.conf.patch
Patch512:	pulseaudio-wrong-memset.patch
Patch513:	pulseaudio-5.0-defaults.patch
Patch604:	pulse-idiot.patch
#-------------------------------------------------------------------------
Patch701: 0501-Some-customisations-to-esdcompat-in-order-to-adhere-.patch
#-------------------------------------------------------------------------
License: 	LGPL and BSD-like
Group: 		Sound
Url: 		http://pulseaudio.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bash-completion
BuildRequires:	%{_lib}webrtc-devel
BuildRequires: 	glib2-devel
BuildRequires: 	libcap-devel
BuildRequires: 	libsndfile-devel
BuildRequires: 	libsamplerate-devel
BuildRequires: 	libalsa-devel
BuildRequires: 	libjack-devel
BuildRequires: 	libavahi-client-devel
BuildRequires: 	libGConf2-devel
BuildRequires: 	libwrap-devel
BuildRequires: 	libx11-devel
BuildRequires: 	libice-devel
BuildRequires: 	libsm-devel
BuildRequires: 	libxtst-devel
BuildRequires: 	%{_lib}xcb-util-devel
BuildRequires: 	udev-devel
BuildRequires: 	hal-devel
BuildRequires: 	dbus-glib-devel
BuildRequires: 	doxygen
BuildRequires: 	automake1.8
BuildRequires: 	libltdl-devel
BuildRequires:	libtool >= 2.4.2
BuildRequires: 	libatomic_ops-devel
BuildRequires: 	gettext-devel
BuildRequires: 	lirc-devel
BuildRequires:	%{_lib}fftw-devel >= 3.2.2
%if !%bootstrap
BuildRequires: 	bluez-devel >= 4.101
BuildRequires:	bluez >= 4.101
BuildRequires:	libsbc-devel >= 1.0
%endif
BuildRequires: 	tdb-devel
BuildRequires: 	speex-devel
# (cg) Needed for airtunes
BuildRequires: 	openssl-devel
BuildRequires: 	polkit-1-devel
BuildRequires: 	libasyncns-devel
BuildRequires: 	intltool
BuildRequires: 	imagemagick
BuildRequires:  %{_lib}json-devel >= 0.9

Provides: 	polypaudio
Obsoletes: 	polypaudio
Requires: 	udev >= 143
Requires: 	rtkit
Requires(post): ccp


%description
pulseaudio is a sound server for Linux and other Unix like operating
systems. It is intended to be an improved drop-in replacement for the
Enlightened Sound Daemon (EsounD). In addition to the features EsounD
provides pulseaudio has:
     * Extensible plugin architecture (by loading dynamic loadable
       modules with dlopen())
     * Support for more than one sink/source
     * Better low latency behaviour
     * Embedabble into other software (the core is available as C
       library)
     * Completely asynchronous C API
     * Simple command line interface for reconfiguring the daemon while
       running
     * Flexible, implicit sample type conversion and resampling
     * "Zero-Copy" architecture
     * Module autoloading
     * Very accurate latency measurement for playback and recording.
     * May be used to combine multiple sound cards to one (with sample
       rate adjustment)
     * Client side latency interpolation

#german
%description -l de
Sound Server für Linux.

pulseaudio ist ein Sound Server für Linux und andere Unix-ähnliche Betriebssysteme. 
Es soll eine verbesserter drop-in Ersatz für den Enlightened Sound Daemon (ESOUND) 
sein. Als Zusatz und zur Unterstützung bietet pulseaudio des weiteren:

* erweiterbare Erweterungsarchitektur (beim laden von dynamischen lauffähigen Modulen 
  mit dlopen
* Unterstützung für mehr als eine Quelle
* Besseres langsames Latnezverhalten
* Integration in andere Software (der Kern ist als C Bibliothek verfügbar)
* Eine Komplett asynchrone C API
* Einfache Konmmandozeilenschnittstelle zur Neuerstellung während der Daemon läuft.
* Flexible implizite Typ-Umwandlung und Neuerstellung
* „Zero-Copy“ Architektur
* automatisches laden von Modulen
* sehr präzise Latenzzeit der Messverfahren bei Wiedergabe und Aufnahme.
* Kann zum Kombinieren von mehreren Soundkarten in einer verwendet werden 
  (bei Anpassung der Samplerate)
* Latenzzeit Erweiterung auf Seite des Clienten.



%post
ccp -i -d --set NoOrphans --oldfile /etc/pulse/daemon.conf --newfile /etc/pulse/daemon.conf.rpmnew


%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%dir %{_sysconfdir}/pulse/
%config(noreplace) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %{_sysconfdir}/pulse/default.pa
%config(noreplace) %{_sysconfdir}/pulse/system.pa
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_datadir}/zsh/site-functions/_pulseaudio
%{_datadir}/bash-completion/completions/*
%{_bindir}/%{name}
%{_bindir}/pulse-enable
%{_bindir}/pulse-disable
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/start-pulseaudio-x11.1.*
%{_mandir}/man5/pulse-client.conf.5.*
%{_mandir}/man5/pulse-daemon.conf.5.*
%{_mandir}/man5/default.pa.5.*
%{_mandir}/man5/pulse-cli-syntax.5.*
%{_datadir}/icons/hicolor/*
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/alsa-mixer
/lib/udev/rules.d/90-pulseaudio.rules
%dir %{_libdir}/pulse-%{apiver}/modules/
%{_libdir}/pulse-%{apiver}/modules/libalsa-util.so
%{_libdir}/pulse-%{apiver}/modules/libcli.so
%{_libdir}/pulse-%{apiver}/modules/liboss-util.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-cli.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-esound.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-http.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-native.so
%{_libdir}/pulse-%{apiver}/modules/libprotocol-simple.so
%{_libdir}/pulse-%{apiver}/modules/libraop.so
%{_libdir}/pulse-%{apiver}/modules/librtp.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-card.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-alsa-source.so
%{_libdir}/pulse-%{apiver}/modules/module-always-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-augment-properties.so
%{_libdir}/pulse-%{apiver}/modules/module-card-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-cli-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-cli.so
%{_libdir}/pulse-%{apiver}/modules/module-combine.so
%{_libdir}/pulse-%{apiver}/modules/module-console-kit.so
%{_libdir}/pulse-%{apiver}/modules/module-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-device-manager.so
%{_libdir}/pulse-%{apiver}/modules/module-device-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-echo-cancel.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnfd.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-compat-spawnpid.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-esound-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-hal-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-http-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-intended-roles.so
%{_libdir}/pulse-%{apiver}/modules/module-loopback.so
%{_libdir}/pulse-%{apiver}/modules/module-match.so
%{_libdir}/pulse-%{apiver}/modules/module-mmkbd-evdev.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-fd.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-native-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-null-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-oss.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-pipe-source.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-rygel-media-server.so
%{_libdir}/pulse-%{apiver}/modules/module-position-event-sounds.so
%{_libdir}/pulse-%{apiver}/modules/module-rescue-streams.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-recv.so
%{_libdir}/pulse-%{apiver}/modules/module-rtp-send.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-tcp.so
%{_libdir}/pulse-%{apiver}/modules/module-simple-protocol-unix.so
%{_libdir}/pulse-%{apiver}/modules/module-sine.so
%{_libdir}/pulse-%{apiver}/modules/module-sine-source.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-source.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-sink-new.so
%{_libdir}/pulse-%{apiver}/modules/module-tunnel-source-new.so
%{_libdir}/pulse-%{apiver}/modules/module-udev-detect.so
%{_libdir}/pulse-%{apiver}/modules/module-volume-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-stream-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-suspend-on-idle.so
%{_libdir}/pulse-%{apiver}/modules/module-default-device-restore.so
%{_libdir}/pulse-%{apiver}/modules/module-ladspa-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-remap-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-combine-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-dbus-protocol.so
#%%{_libdir}/pulse-%%{apiver}/modules/module-equalizer-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-filter-apply.so
%{_libdir}/pulse-%{apiver}/modules/module-filter-heuristics.so
%{_libdir}/pulse-%{apiver}/modules/module-null-source.so
%{_libdir}/pulse-%{apiver}/modules/module-role-cork.so
%{_libdir}/pulse-%{apiver}/modules/module-switch-on-connect.so
%{_libdir}/pulse-%{apiver}/modules/module-switch-on-port-available.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-source.so
%{_libdir}/pulse-%{apiver}/modules/module-virtual-surround-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-remap-source.so
%{_libdir}/pulse-%{apiver}/modules/module-role-ducking.so
%{_libdir}/pulse-%{apiver}/modules/module-allow-passthrough.so
#%{_libdir}/pulse-%{apiver}/modules/libwebrtc-util.so
#________________________________________________________________


%package -n %{libname}
Summary: 	Libraries for PulseAudio clients
Summary(de): 	Bibliotheken für PulseAudio Clients
Group: 		System/Libraries
%ifarch 	x86_64
Requires: 	lib64%{name}%{major}
%endif

%description -n %{libname}
This package contains the runtime libraries for any application that wishes
to interface with a PulseAudio sound server.
#german
%description -n %{libname} -l de
Stellt die Runtime Bibliotheken für den PulseAudio Sound Server bereit. 

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libpulse.so.%{major}*
%{_libdir}/libpulse-simple.so.%{major}*
%{_libdir}/pulseaudio/libpulsecommon-%{apiver}.so
%{_libdir}/pulseaudio/libpulsecore-%{apiver}.so
%{_libdir}/pulseaudio/libpulsedsp.so

#________________________________________________________________

%define alt_name soundprofile
%define alt_priority 20

%package client-config
Summary: 	Client configuration for PulseAudio clients
Summary(de): 	Konfiguration Client für PulseAudio Clients
Group: 		System/Libraries
Requires(post): ccp
Requires(post): update-alternatives
Requires(postun): update-alternatives
Obsoletes: 	libflashsupport

%description client-config
This package contains the client configuration files for any application that wishes
to interface with a PulseAudio sound server.
#german
%description client-config -l de
Beinhaltet den Konfiguration Client, Dateien für jede Anwendung die eine Schnittstelle
zu PulseAudio Sound Server aufbaut. 


%post client-config
ccp -i -d --set NoOrphans --oldfile /etc/pulse/client.conf --newfile /etc/pulse/client.conf.rpmnew

%postun client-config
if [ ! -f /etc/sound/profiles/pulse/profile.conf ]; then
  /usr/sbin/update-alternatives --remove soundprofile /etc/sound/profiles/pulse
fi

%files client-config
%defattr(-,root,root)
%dir 
%config(noreplace) %{_sysconfdir}/pulse/client.conf
%dir %{_sysconfdir}/sound/profiles/pulse
%config(noreplace) %{_sysconfdir}/sound/profiles/pulse/profile.conf
%dir %{_sysconfdir}/sound/profiles/pulse
%config(noreplace) %{_sysconfdir}/sound/profiles/alsa/profile.conf


%package -n %{glib2libname}
Summary:  	GLIB 2.x bindings for PulseAudio clients
Summary(de):	GLIB 2.x Bindungen für PulseAudio Clients
Group:    	System/Libraries

%description -n %{glib2libname}
This package contains bindings to integrate the PulseAudio client library with
a GLIB 2.x based application.
#german
%description -n %{glib2libname} -l de
Beinhaltet die Bindungen für die PulseAudio Client Bibliothek für die
GLIB 2.x basierende Anwendungen.

%files -n %{glib2libname}
%defattr(-,root,root)
%{_libdir}/libpulse-mainloop-glib.so.%{glib2major}*


%package -n %{libname_devel}
Summary: 	Headers and libraries for PulseAudio client development
Summary(de):	Entwicklerdateien für PulseAudio Client
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}
Requires: 	%{glib2libname} = %{version}-%{release}
Provides: 	lib%{name}-devel = %{version}-%{release}
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes: 	%mklibname -d %{name} %{major}
Provides: 	devel(libpulsecommon-2.0)


%description -n %{libname_devel}
Headers and libraries for developing applications that can communicate with
a PulseAudio sound server.
#german
%description -n %{libname_devel} -l de
Header und Bibliotheken für das erstellen von Anwendungen, die mit den PulseAudio
Sound Server agieren.

%files -n %{libname_devel}
%doc doxygen/html
%defattr(-,root,root)
%{_libdir}/libpulse.so
%{_libdir}/cmake/PulseAudio/PulseAudioConfig.cmake
%{_libdir}/cmake/PulseAudio/PulseAudioConfigVersion.cmake
%{_libdir}/libpulse-mainloop-glib.so
%{_libdir}/libpulse-simple.so
%dir %{_includedir}/pulse
%{_includedir}/pulse/*.h
%{_libdir}/pkgconfig/*.pc
%{_datadir}/vala/vapi/libpulse.deps
%{_datadir}/vala/vapi/libpulse.vapi
%{_datadir}/vala/vapi/libpulse-mainloop-glib.deps
%{_datadir}/vala/vapi/libpulse-mainloop-glib.vapi
%{_datadir}/vala/vapi/libpulse-simple.deps
%{_datadir}/vala/vapi/libpulse-simple.vapi
#________________________________________________________________



%package esound-compat
Summary:   	PulseAudio EsounD daemon compatibility script
Summary(de):	PulseAudio Esound Daemon Kompatibilitätsskript
Group:     	Sound
Requires:  	%{name} = %{version}-%{release}
Provides:  	esound
Obsoletes: 	esound-daemon

%description esound-compat
A compatibility script that allows applications to call /usr/bin/esd
and start PulseAudio with EsounD protocol modules.
#german
%description esound-compat -l de
Ein Kompatibilitäts Script das es Anwendungen erlaubt /usr/bin/esd 
Anzusprechen und PulseAudio mit EsounD Protokoll Modulen zu starten. 

%files esound-compat
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/esd.conf
%{_bindir}/esdcompat
%{_bindir}/esd
%{_mandir}/man1/esdcompat.1.*

#________________________________________________________________



%package module-lirc
Summary:   	LIRC support for the PulseAudio sound server
Summary(de):	LIRC Modul für den PulseAudio Sound Server. 
Group:     	Sound
Requires:  	%{name} = %{version}-%{release}

%description module-lirc
LIRC volume control module for the PulseAudio sound server.
#german
%description module-lirc -l de
LIRC Lautstärkeregelungs Modul für den PulseAudio Sound Server. 

%files module-lirc
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/module-lirc.so

#________________________________________________________________


%if !%bootstrap
%package module-bluetooth
Summary:   	Bluetooth support for the PulseAudio sound server
Summary(de):	Bluetooth Modul für den PulseAudio Sound Server.
Group:     	Sound
Requires:  	%{name} = %{version}-%{release}

%description module-bluetooth
Bluetooth modules for the PulseAudio sound server to provide support
for headsets and proximity detection.
#german
%description module-bluetooth -l de
Bluetooth Umgebung-Erkennungs Modul für den PulseAudio Sound Server.

%files module-bluetooth
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/libbluez4-util.so
%{_libdir}/pulse-%{apiver}/modules/libbluez5-util.so
%{_libdir}/pulse-%{apiver}/modules/module-bluetooth-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-bluetooth-policy.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez4-device.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez4-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez5-device.so
%{_libdir}/pulse-%{apiver}/modules/module-bluez5-discover.so
%endif

#________________________________________________________________



%package module-x11
Summary:   	X11 support for the PulseAudio sound server
Summary(de):	X11 Modul für den PulseAudio Sound Server. 
Group:    	Sound
Requires:  	%{name} = %{version}-%{release}

%description module-x11
X11 bell and security modules for the PulseAudio sound server.
#german
%description module-x11 -l de
X11 Alarmsignal und Sicherheit Modul für den PulseAudio Sound Server. 

%files module-x11
%defattr(-,root,root)
%{_sysconfdir}/X11/xinit.d/50%{name}
%{_sysconfdir}/xdg/autostart/pulseaudio.desktop
%{_bindir}/start-pulseaudio-x11
%{_bindir}/pax11publish
%{_mandir}/man1/pax11publish.1.*
%{_libdir}/pulse-%{apiver}/modules/module-x11-bell.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-cork-request.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-x11-xsmp.so

#________________________________________________________________


%package module-zeroconf
Summary:   	Zeroconf support for the PulseAudio sound server
Summary(de):	Zeroconf Modul für den PulseAudio Sound Server. 
Group:     	Sound
Requires:  	%{name} = %{version}-%{release}

%description module-zeroconf
Zeroconf publishing module for the PulseAudio sound server.
#german
%description module-zeroconf -l de
Zeroconf Veröffentlichungs Modul für den PulseAudio Sound Server. 

%files module-zeroconf
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/libavahi-wrap.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-discover.so
%{_libdir}/pulse-%{apiver}/modules/module-zeroconf-publish.so
%{_libdir}/pulse-%{apiver}/modules/module-raop-discover.so

#________________________________________________________________


%package module-jack
Summary:   	JACK support for the PulseAudio sound server
Summary(de):	JACK Module für die Sound-Server PulseAudio
Group:     	Sound
Requires:  	%{name} = %{version}-%{release}

%description module-jack
JACK sink and source modules for the PulseAudio sound server.
#german
%description module-jack -l de
JACK Source-Module für die Sound-Server PulseAudio. 

%files module-jack
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/module-jack-sink.so
%{_libdir}/pulse-%{apiver}/modules/module-jack-source.so
%{_libdir}/pulse-%{apiver}/modules/module-jackdbus-detect.so

#________________________________________________________________


%package module-gconf
Summary:   	GConf support for the PulseAudio sound server
Summary(de):	GConf Modul für den PulseAudio Sound Server.
Group:     	Sound
Requires:  	%{name} = %{version}-%{release}

%description module-gconf
GConf configuration backend for the PulseAudio sound server.
#german
%description module-gconf -l de
GConf Konfiguration Backend für den PulseAudio Sound Server.

%files module-gconf
%defattr(-,root,root)
%{_libdir}/pulse-%{apiver}/modules/module-gconf.so
%{_libexecdir}/pulse

#________________________________________________________________


%package utils
Summary:  	PulseAudio sound server utilities
Summary(de):	PulseAudio Sound Server Dienstprogramme
Group:   	Sound

%description utils
This package contains command line utilities for the PulseAudio sound server.
#german
%description utils -l de
PulseAudio Sound Server Dienstprogramme der Kommandozeile.

%files utils
%defattr(-,root,root)
%{_bindir}/pacat
%{_bindir}/pacmd
%{_bindir}/pactl
%{_bindir}/padsp
%{_bindir}/pamon
%{_bindir}/paplay
%{_bindir}/parec
%{_bindir}/parecord
%{_bindir}/pasuspender
%{_mandir}/man1/pacat.1.*
%{_mandir}/man1/pacmd.1.*
%{_mandir}/man1/pactl.1.*
%{_mandir}/man1/padsp.1.*
%{_mandir}/man1/paplay.1.*
%{_mandir}/man1/pasuspender.1.*
%{_mandir}/man1/pamon.1.*
%{_mandir}/man1/parec.1.*
%{_mandir}/man1/parecord.1.*
#________________________________________________________________

%package module-equalizer
Summary:	Equalizer support for the PulseAudio sound server 
Summary(de):	Equalizer Unterstützung für PulseAudio Sound Server 
Group:     	Sound
Requires:  	%{name} = %{version}-%{release}

%description module-equalizer
Equalizer support for the PulseAudio sound server.
#german
%description module-equalizer -l de
Equalizer Unterstützung für PulseAudio Sound Server.

%files module-equalizer
%defattr(-,root,root) 
%{_bindir}/qpaeq
%{_libdir}/pulse-%{apiver}/modules/module-equalizer-sink.so

#________________________________________________________________

%prep
%setup -q -n %{name}-%{version}

%apply_patches
 
cat >git-version-gen <<EOF
#!/bin/bash
echo -n %{version}-%{release}
EOF
chmod a+x git-version-gen

echo "clean:" > Makefile
./bootstrap.sh -V

%build
%configure2_5x --disable-hal \
	       --enable-bluez	

%make
make doxygen

%install
rm -rf %{buildroot}
%makeinstall_std
install -D -m 0755 %{_sourcedir}/pulse-disable %{buildroot}/%{_bindir}
install -D -m 0755 %{_sourcedir}/pulse-enable %{buildroot}/%{_bindir}
install -D -m 0644 %{_sourcedir}/%{name}.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -D -m 0755 %{_sourcedir}/esd.conf %{buildroot}%{_sysconfdir}/
install -D -m 0755 %{_sourcedir}/%{name}.xinit %{buildroot}%{_sysconfdir}/X11/xinit.d/50%{name}

install -D -m 0644 %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/devices
ln -s ../apps/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/devices/audio-backend-pulseaudio.svg
for size in 16 22 32 48 64 128; do
  mkdir -p %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/{apps,devices}
  convert -geometry ${size}x${size} %{_sourcedir}/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/%{name}.png
  ln -s ../apps/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/devices/audio-backend-pulseaudio.png
done

# Remove static and metalink libraries
find %{buildroot} \( -name *.a -o -name *.la \) -exec rm {} \;

# Fix esd
ln -s esdcompat %{buildroot}%{_bindir}/esd

mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/pulse
echo "SOUNDPROFILE=pulse" >%{buildroot}%{_sysconfdir}/sound/profiles/pulse/profile.conf

mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/alsa
echo "SOUNDPROFILE=alsa" >%{buildroot}%{_sysconfdir}/sound/profiles/alsa/profile.conf

# (cg) HAL support is no longer the default, and we don't officially support system wide, so
# System Wide + HAL is pretty unlikely.
rm -f %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{name}-system.conf

%find_lang %{name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

#________________________________________________________________

%changelog
* Mon Sep 18 2017 bb2 <bb2> - 11.1-1pclos2017
- new version

* Tue Sep 12 2017 bb2 <bb2> - 11.0-2pclos2017
- rebuild against updates

* Tue Sep 05 2017 bb2 <bb2> - 11.0-1pclos2017
- new version

* Sat Jul 01 2017 bb2 <bb2> - 10.0-3pclos2017
- add ubuntu bluez patches

* Fri Jan 27 2017 bb <bb> - 10.0-2pclos2017
- add idiot patch lol

* Thu Jan 19 2017 bb <bb> - 10.0-1pclos2017
- new version

* Wed Jun 22 2016 bb <bb> - 9.0-1pclos2016
- update


